/* Layout */
import Layout from '@/layout'

const settingRoutes = [
  {
    path: '/settings',
    component: Layout,
    redirect: '/settings/menus',
    name: 'Settings',
    meta: { title: '系统设置', icon: 'el-icon-s-tools', noCache: true },
    children: [
      {
        path: 'menus',
        name: 'SettingsMenus',
        meta: { title: '菜单管理', noCache: true },
        component: () => import('@/views/admin/settings/menus')
      },
      {
        path: 'menus/add',
        name: 'SettingsMenusAdd',
        hidden: true,
        meta: { title: '添加菜单', noCache: true },
        component: () => import('@/views/admin/settings/menus/edit')
      },
      {
        path: 'menus/edit',
        name: 'SettingsMenusEdit',
        hidden: true,
        meta: { title: '修改菜单', noCache: true },
        component: () => import('@/views/admin/settings/menus/edit')
      },
      {
        path: 'menus/children/:menuType/:id/:title',
        name: 'SettingsChildrenMenus',
        hidden: true,
        meta: { title: '子菜单管理', noCache: false },
        component: () => import('@/views/admin/settings/menus/children-list')
      },
      {
        path: 'menus/children/add',
        name: 'SettingsChildrenMenusAdd',
        hidden: true,
        meta: { title: '添加子菜单', noCache: true },
        component: () => import('@/views/admin/settings/menus/edit')
      },
      {
        path: 'menus/children/edit',
        name: 'SettingsChildrenMenusEdit',
        hidden: true,
        meta: { title: '修改子菜单', noCache: true },
        component: () => import('@/views/admin/settings/menus/edit')
      },
      {
        path: 'roles',
        name: 'SettingsRoles',
        meta: { title: '角色管理', noCache: true },
        component: () => import('@/views/admin/settings/roles')
      },
      {
        path: 'roles/add',
        name: 'SettingsRolesAdd',
        hidden: true,
        meta: { title: '添加角色', noCache: true },
        component: () => import('@/views/admin/settings/roles/edit')
      },
      {
        path: 'roles/edit',
        name: 'SettingsRolesEdit',
        hidden: true,
        meta: { title: '修改角色', noCache: true },
        component: () => import('@/views/admin/settings/roles/edit')
      },
      {
        path: 'accounts',
        name: 'SettingsAccounts',
        meta: { title: '用户管理', noCache: true },
        component: () => import('@/views/admin/settings/accounts')
      },
      {
        path: 'accounts/add',
        name: 'SettingsAccountsAdd',
        hidden: true,
        meta: { title: '添加用户', noCache: true },
        component: () => import('@/views/admin/settings/accounts/edit')
      },
      {
        path: 'accounts/edit',
        name: 'SettingsAccountsEdit',
        hidden: true,
        meta: { title: '修改用户', noCache: true },
        component: () => import('@/views/admin/settings/accounts/edit')
      }
    ]
  }
]

export default settingRoutes
